using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;

namespace Ex02.Pages {

  public class Ex01Model : PageModel {
    public void OnGet() {
    }
    public ulong GCD(ulong x, ulong y) {
      while (y != 0) {
        ulong oldX = x;
        x = y;
        y = oldX % y;
      }
      return x;
    }
  }
}
